package logwire.web.bo.loader;

import logwire.core.bo.factory.DefaultBizObjectFactory;
import logwire.core.bo.object.BizObject;

import java.util.Map;

public class FactoryBuilder {

    private static Map<Class, DefaultBizObjectFactory> map;

    public static <X extends DefaultBizObjectFactory> X build(Class<? extends BizObject> clazz){
        return (X)map.get(clazz);
    }
}
